import pygame
from rachunek import Rachunek
import random

class Klient:
    def __init__(self,imie,nazwisko,wiek,ulubiony_posilek=None, restrykcje_dietowe=None):
        self.imie = imie
        self.nazwisko = nazwisko
        self.wiek = wiek
        self.stolik = None
        self.rachunek = Rachunek(random.randint(1,1000))
        self.ulubiony_posilek = ulubiony_posilek
        self.restrykcje_dietowe = restrykcje_dietowe
    def zloz_zamowienie(self,zamowienie,stolik):
        if self.stolik is None:
            self.stolik = stolik
            stolik.przypisz_kelner(stolik.kelner)
            self.rachunek.dodaj_zamowienie(zamowienie) 
            print(f"Klinet {self.imie} {self.nazwisko} zlozyl zamowienie przy stoliku {stolik.numer_stolika} i przyjal je kelner {stolik.kelner.numer_pracowniczy}.")
        else:
            print("Klient ma juz przypisany stolik.")

    def __str__(self):
        return f"Klient: {self.imie} {self.nazwisko} {self.wiek}, ulubione Danie: {self.ulubiony_posilek}, restrykcje diet: {self.restrykcje_dietowe}"

