import pygame
from stolik import Stolik
from kelner import Kelner
from posilek import Posilek
class Zamowienie:
    def __init__(self,numer_zamowienia,posilek):
        self.numer_zamowienia = numer_zamowienia
        assert all(isinstance(p, Posilek) for p in posilek), "Zamowienie: posilek nie jest listą tylko typu Posilek"
        self.posilek = posilek
    def __str__(self):
        return f"Zamowienie numer {self.numer_zamowienia} z posiłkami {[p.nazwa for p in self.posilek]}"
    def sum(self):
        return sum(p.cena for p in self.posilek)

